Subject: categories: Re: Category Theory from RFC Walters' book

From: Ronnie Brown <[email-masked]>
Date: Thu, 02 Nov 2000 10:30:15 +0000

It could be useful to mention the paper

29 #1239 Higgins, Philip J., Algebras with a scheme of operators. Math. Nachr. 27
1963 115--132. (Reviewer: A. Heller) 18.10

which discusses partial algebras at an early date.

Ronnie Brown

Till Mossakowski wrote:

> >It is folklore that the method of generators and relations works for any
> >essentially algebraic theory with finitary operators, as well as for some
> >more general ones. "Algebraic" means defined by operators and equational
> >laws (could be many-sorted); "essentially" means that the operators may be
> >partial, with their domains of definition described by finite sets of
> >equations.
>
> >I wish I knew of an introductory text describing the techniques at this
> >level of generality, but unfortunately I'm not aware of any - maybe somebody
> >can suggest one. Manes's book "Algebraic Theories" is quite good on the
> >algebraic case.
>
> @BOOK{Reichel,
> AUTHOR = "Horst Reichel",
> TITLE ="Initial Computability, Algebraic Specifications and Partial Algebras",
> PUBLISHER = "Oxford Science Publications",
> YEAR = 1987}
>
> contains an elementary introduction to essentially algebraic theories;
> also, the theory of categories is used as an example.
>
> Till Mossakowski
>
> -----------------------------------------------------------------------------
> Till Mossakowski                Phone +49-421-218-4683, monday: +49-4252-1859
> Dept. of Computer Science       Fax +49-421-218-3054
> University of Bremen            [email-masked]
> P.O.Box 330440, D-28334 Bremen  http://www.informatik.uni-bremen.de/~till
> -----------------------------------------------------------------------------

--
Prof R. Brown,
School of Informatics, Mathematics Division,
University of Wales, Bangor
Dean St., Bangor,
Gwynedd LL57 1UT, United Kingdom
Tel. direct:+44 1248 382474|office:     382475
fax: +44 1248 361429
World Wide Web:
home page: http://www.bangor.ac.uk/~mas010/
(Links to survey articles:
Higher dimensional group theory
Groupoids and crossed objects in algebraic topology)

Symbolic Sculpture and Mathematics:
http://www.cpm.sees.bangor.ac.uk/sculmath/
Centre for the Popularisation of Mathematics
http://www.cpm.sees.bangor.ac.uk/
Raising Public Awareness of Mathematics
http://www.cpm.sees.bangor.ac.uk/rpamath/